package com.prolog.upcloud.base.wh.operate.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 补充地位
 *
 * @author wujunjie
 * @desc 补货状态
 * @date 2021-05-31
 */
@Getter
@AllArgsConstructor
public enum ReplenishStatus {
    /**
     * 创建
     */
    CREATE("0"),
    /**
     * 下架
     */
    OUT("1"),
    /**
     * 上架
     */
    IN("2"),
    /**
     * 取消
     */
    CANCEL("-1");

    private final String status;

    public static ReplenishStatus get(String status){
        return Arrays.stream(ReplenishStatus.values()).filter(x-> x.getStatus().equals(status)).findFirst().orElse(null);
    }
}
